Name:		fluffychat
Summary:	The cutest instant messenger in the [matrix]
Version:	1.20.0
Release:	%mkrel 0
License:	AGPLv3
Group: Networking/Instant messaging
Url:		https://fluffychat.im/
Source0:	https://github.com/krille-chan/%{name}/archive/refs/tags/v%{version}.tar.gz
BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	lib64rhash0
BuildRequires:	pkgconfig(javascriptcoregtk-4.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(webkit2gtk-web-extension-4.0)
BuildRequires:	lib64olm3
BuildRequires:	lib64hz-devel
Requires:	lib64secret1_0
Requires:	lib64jsoncpp24

%define debug_package %{nil}

%description
FluffyChat is an open source, nonprofit and cute [matrix] client written in Flutter. The goal of the app is to create an easy to use instant messenger which is open source and accessible for everyone.

%prep
%autosetup -p1 -Sgit_am

# fool build system a bit
git tag -a %{version} -m "%{version}"

%build

export PATH=$PATH:$HOME/Downloads/flutter/flutter/bin
#echo $PATH
#cd linux

flutter config --disable-analytics
flutter config --no-analytics
flutter config --enable-linux-desktop
flutter pub get
flutter build linux --release --verbose  
chrpath --delete build/linux/x64/release/bundle/lib/*

%install

export PATH=$PATH:$HOME/Downloads/flutter/flutter/bin
flutter install -d Linux --verbose --release
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/%{_libdir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/etc/ld.so.conf.d
mkdir -p %{buildroot}/etc/systemd/system
install -dm 755 %{buildroot}%{_datadir}/applications

#The bin
install -m 755 %{_builddir}/%{name}-%{version}/build/linux/x64/release/bundle/fluffychat %{buildroot}/usr/lib64/fluffychat/fluffychat
rm -f %{_builddir}/%{name}-%{version}/build/linux/x64/release/bundle/fluffychat
#The libs
cp -r %{_builddir}/%{name}-%{version}/build/linux/x64/release/bundle/* %{buildroot}/usr/lib64/fluffychat/
#ico
install -Dm 644 %{_builddir}/%{name}-%{version}/assets/logo.png %{buildroot}/usr/share/icons/hicolor/256x256/apps/fluffychat.png
install -Dm 644 %{_builddir}/%{name}-%{version}/assets/logo.svg %{buildroot}/usr/share/icons/hicolor/scalable/apps/fluffychat.svg

ln -s /usr/lib64/fluffychat/fluffychat %{buildroot}/usr/bin/

cat > %{buildroot}%{_datadir}/applications/fluffychat.desktop << EOF
[Desktop Entry]
Type=Application
Name=FluffyChat
Comment=Matrix Client. Chat with your friends
Exec=fluffychat
Icon=fluffychat
Terminal=false
EOF

%clean
rm -rf %{buildroot}
chmod -R ug+rw %{_rpmdir}
chmod -R ug+rw %{_srcrpmdir}

%files
%license LICENSE
%doc README.md
%{_bindir}/fluffychat
%{_libdir}/fluffychat/*
%{_datadir}/icons/hicolor/256x256/apps/fluffychat.png
%{_datadir}/icons/hicolor/scalable/apps/fluffychat.svg
%{_datadir}/applications/fluffychat.desktop

%changelog
